/*
 * Copyright (C) 2006 
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * Authors:
 */

#ifndef __TRACKER_STATUS_ICON_H__
#define __TRACKER_STATUS_ICON_H__

#include <gtk/gtkstatusicon.h>

#include "tracker.h"

G_BEGIN_DECLS

#define TRACKER_TYPE_STATUS_ICON         (tracker_status_icon_get_type ())
#define TRACKER_STATUS_ICON(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), TRACKER_TYPE_STATUS_ICON, TrackerStatusIcon))
#define TRACKER_STATUS_ICON_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), TRACKER_TYPE_STATUS_ICON, TrackerStatusIconClass))
#define TRACKER_IS_STATUS_ICON(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), TRACKER_TYPE_STATUS_ICON))
#define TRACKER_IS_STATUS_ICON_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), TRACKER_TYPE_STATUS_ICON))
#define TRACKER_STATUS_ICON_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), TRACKER_TYPE_STATUS_ICON, TrackerStatusIconClass))

typedef struct _TrackerStatusIcon        TrackerStatusIcon;
typedef struct _TrackerStatusIconClass   TrackerStatusIconClass;
typedef struct _TrackerStatusIconPrivate TrackerStatusIconPrivate;

struct _TrackerStatusIcon
{
  GtkStatusIcon          base;

  TrackerStatusIconPrivate *priv;
};

struct _TrackerStatusIconClass
{
  GtkStatusIconClass base_class;
};

GType tracker_status_icon_get_type (void) G_GNUC_CONST;
TrackerStatusIcon *tracker_status_icon_new ();

G_END_DECLS

#endif /* __TRACKER_STATUS_ICON_H__ */
